Debian Bug report logs - #559659
sbuild: Targets unstable even when dealing with experimental stuff

version graph

Package: sbuild; Maintainer for sbuild is Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>; Source for sbuild is src:sbuild.

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sun, 6 Dec 2009 03:54:05 UTC

Severity: serious

Tags: fixed-upstream, patch

Found in version sbuild/0.59.0-1

Fixed in version sbuild/0.60.0-1

Done: Roger Leigh <rleigh@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#559659; Package sbuild. (Sun, 06 Dec 2009 03:54:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 06 Dec 2009 03:54:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: sbuild: Targets unstable even when dealing with experimental stuff
Date: Sun, 06 Dec 2009 04:53:33 +0100
Package: sbuild
Version: 0.59.0-1
Severity: serious
Justification: Fucked my uploads.

Hi,

firstly, I'm aware of #529281, and I believe this might be different.

I really don't see why the resulting distribution should be “unstable”
when one uses:
$ sbuild -c experimental-amd64-sbuild -s -A foo.dsc

And when:
 - the chroot name is experimental-…
 - the chroot setup says nothing about unstable or sid[1].
 - the distribution is set to experimental (which is ignored, which is
   the subject of #529281, if I understood it correctly).

[1]:
| $ sudo cat /etc/schroot/chroot.d/experimental-amd64-sbuild
| [experimental-amd64-sbuild]
| type=directory
| description=Debian experimental/amd64 autobuilder
| location=/home/cyril/opt/experimental-amd64-sbuild
| priority=3
| groups=root,sbuild
| root-groups=root,sbuild
| run-setup-scripts=true
| run-exec-scripts=true

So, WTH setting the distribution to “unstable”? Looks like I've got 30+
packages in the wrong distribution now. Not good. Really not.

If you really want to force people setting (manually) the distribution,
just refuse to proceed if no distribution was specified.

The current behaviour sounds insane to me, hence this RC bug.

Mraw,
KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#559659; Package sbuild. (Sun, 06 Dec 2009 17:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 06 Dec 2009 17:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 559659@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Cyril Brulebois <kibi@debian.org>, 559659@bugs.debian.org
Subject: Re: [buildd-tools-devel] Bug#559659: sbuild: Targets unstable even when dealing with experimental stuff
Date: Sun, 6 Dec 2009 17:25:48 +0000
[Message part 1 (text/plain, inline)]
On Sun, Dec 06, 2009 at 04:53:33AM +0100, Cyril Brulebois wrote:
> firstly, I'm aware of #529281, and I believe this might be different.
> 
> I really don't see why the resulting distribution should be “unstable”
> when one uses:
> $ sbuild -c experimental-amd64-sbuild -s -A foo.dsc
> 
> And when:
>  - the chroot name is experimental-…
>  - the chroot setup says nothing about unstable or sid[1].
>  - the distribution is set to experimental (which is ignored, which is
>    the subject of #529281, if I understood it correctly).
> 
> So, WTH setting the distribution to “unstable”? Looks like I've got 30+
> packages in the wrong distribution now. Not good. Really not.
> 
> If you really want to force people setting (manually) the distribution,
> just refuse to proceed if no distribution was specified.
> 
> The current behaviour sounds insane to me, hence this RC bug.

Currently, the reason why your uploads default to unstable is
because sbuild defaults to unstable unless you override it.
I think the safest solution here is to simply not set it by
default, and require the user to always specify it (or set it
in their .sbuildrc).

This is pretty much exactly the same chicken-and-egg problem
as #529281: we don't know the package distribution until we
download and unpack it, and we need to do this inside the
chroot environment, but we can't know which one to use.

- the chroot name is immaterial since one may name them
  anything you like (and indeed use unstable chroots for
  experimental building).  If you specify a chroot with
  -c, we can't infer the distribution name from this.
- we can, however, infer the chroot from the distribution,
  though -c can override the default chroot name.
- we could add a distribution=… or sbuild-distribution
  parameter to schroot to allow chroot->distribution
  inference to work robustly, but I'd rather keep sbuild-
  specific hacks out of schroot unless unavoidable.

If this makes sense and you are OK with it, I'll remove
the distribution=unstable default from sbuild.


Regards,
Roger

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#559659; Package sbuild. (Sun, 06 Dec 2009 18:12:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 06 Dec 2009 18:12:21 GMT) Full text and rfc822 format available.

Message #15 received at 559659@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Roger Leigh <rleigh@codelibre.net>
Cc: 559659@bugs.debian.org
Subject: Re: [buildd-tools-devel] Bug#559659: sbuild: Targets unstable even when dealing with experimental stuff
Date: Sun, 6 Dec 2009 19:06:42 +0100
[Message part 1 (text/plain, inline)]
Hi Roger.

Roger Leigh <rleigh@codelibre.net> (06/12/2009):
> Currently, the reason why your uploads default to unstable is
> because sbuild defaults to unstable unless you override it.

Yeah, I gathered that… :)

> I think the safest solution here is to simply not set it by default,
> and require the user to always specify it (or set it in their
> .sbuildrc).

Agreed.

> This is pretty much exactly the same chicken-and-egg problem as
> #529281: we don't know the package distribution until we download
> and unpack it, and we need to do this inside the chroot environment,
> but we can't know which one to use.

In my (specific, I agree but still) case, I did specify a chroot… but
that's addressed by your next points.

> - the chroot name is immaterial since one may name them
>   anything you like (and indeed use unstable chroots for
>   experimental building).  If you specify a chroot with
>   -c, we can't infer the distribution name from this.

Alright. I came to a similar conclusion after looking up what
happened. What confused me was that earlier (one year ago I think) I
noticed there were even chroot aliases (like unstable-amd64 for
sid-amd64, etc.) in schroot configuration files, so I had in mind that
there were some kind of dist ←→ chroot mapping.

> - we can, however, infer the chroot from the distribution,
>   though -c can override the default chroot name.

I still have a single chroot right now, so I have no strong feelings
right now. :)

[[[
Speaking from a developer point of view (as opposed to buildd), I
think I'm going to continue doing the following:
$ debuild -S -i -uc -us
$ # lintian gets run
$ sbuild-shell-wrapper ../package_version_source.changes

The shell wrapper would then take care of getting the distribution
from the .changes, and call sbuild on the matching .dsc
]]]

> - we could add a distribution=… or sbuild-distribution
>   parameter to schroot to allow chroot->distribution
>   inference to work robustly, but I'd rather keep sbuild-
>   specific hacks out of schroot unless unavoidable.

That's the kind of parameter I immediately checked (and why I pasted
my conf file). I guess it could be handy but I have no strong feelings
either, your call.

> If this makes sense and you are OK with it, I'll remove the
> distribution=unstable default from sbuild.

I think it would be a nice move. I guess it deserves a quick check on
the buildd side to make sure sbuild is called with the appropriate
parameter, so that we don't suddenly end up with no packages for
unstable this time. ;)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>:
Bug#559659; Package sbuild. (Sun, 13 Dec 2009 20:39:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Roger Leigh <rleigh@codelibre.net>:
Extra info received and forwarded to list. Copy sent to Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>. (Sun, 13 Dec 2009 20:39:02 GMT) Full text and rfc822 format available.

Message #20 received at 559659@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@codelibre.net>
To: Cyril Brulebois <kibi@debian.org>, 559659@bugs.debian.org
Subject: Re: [buildd-tools-devel] Bug#559659: Bug#559659: sbuild: Targets unstable even when dealing with experimental stuff
Date: Sun, 13 Dec 2009 20:35:47 +0000
[Message part 1 (text/plain, inline)]
tags 559659 + patch fixed-upstream pending
thanks

On Sun, Dec 06, 2009 at 07:06:42PM +0100, Cyril Brulebois wrote:
> Hi Roger.
> 
> Roger Leigh <rleigh@codelibre.net> (06/12/2009):
> > Currently, the reason why your uploads default to unstable is
> > because sbuild defaults to unstable unless you override it.
> 
> Yeah, I gathered that… :)
> 
> > I think the safest solution here is to simply not set it by default,
> > and require the user to always specify it (or set it in their
> > .sbuildrc).
> 
> Agreed.

Fixed on the master branch, in commit 3b5e134c.


Regards,
Roger


diff --git a/bin/sbuild b/bin/sbuild
index b6f76bb..e4bd3f9 100755
--- a/bin/sbuild
+++ b/bin/sbuild
@@ -64,6 +64,12 @@ my $current_job = undef;
 main();
 
 sub main () {
+    my $dist = $conf->get('DISTRIBUTION');
+    if (!defined($dist) || !$dist) {
+	print STDERR "No distribution defined\n";
+	exit(1);
+    }
+
     print "Selected distribution " . $conf->get('DISTRIBUTION') . "\n"
 	if $conf->get('DEBUG');
     print "Selected chroot " . $conf->get('CHROOT') . "\n"
diff --git a/etc/example.sbuildrc b/etc/example.sbuildrc
index 279deae..89aeadd 100644
--- a/etc/example.sbuildrc
+++ b/etc/example.sbuildrc
@@ -46,7 +46,12 @@
 ## SBUILD BEHAVIOUR
 ##
 
-# Default distribution
+# Default distribution.  By default, no distribution is defined, and
+# the user must specify it with the -d option.  However, a default may
+# be configured here if desired.  Users must take care not to upload
+# to the wrong distribution when this option is set, for example
+# experimental packages will be built for upload to unstable when this
+# is not what is required.
 #$distribution = 'unstable';
 
 # Default chroot (defaults to distribution[-arch][-sbuild])
diff --git a/etc/sbuild.conf b/etc/sbuild.conf
index 7b55581..a9729ee 100644
--- a/etc/sbuild.conf
+++ b/etc/sbuild.conf
@@ -79,7 +79,12 @@
 # Default architecture.  Defaults to host architecture.
 #$arch = 'powerpc';
 
-# Default distribution
+# Default distribution.  By default, no distribution is defined, and
+# the user must specify it with the -d option.  However, a default may
+# be configured here if desired.  Users must take care not to upload
+# to the wrong distribution when this option is set, for example
+# experimental packages will be built for upload to unstable when this
+# is not what is required.
 #$distribution = 'unstable';
 
 # Chroot mode.  Valid modes are 'schroot' to use schroot for chroot
diff --git a/lib/Sbuild/Build.pm b/lib/Sbuild/Build.pm
index 8a0a086..f64067b 100644
--- a/lib/Sbuild/Build.pm
+++ b/lib/Sbuild/Build.pm
@@ -201,6 +201,12 @@ sub run {
 
     $self->set('Pkg Start Time', time);
 
+    my $dist = $self->get_conf('DISTRIBUTION');
+    if (!defined($dist) || !$dist) {
+	$self->log("No distribution defined\n");
+	goto cleanup_skip;
+    }
+
     if ($self->get('Invalid Source')) {
 	$self->log("Invalid source: " . $self->get('DSC') . "\n");
 	$self->log("Skipping " . $self->get('Package') . " \n");
diff --git a/lib/Sbuild/Conf.pm b/lib/Sbuild/Conf.pm
index bab48e6..0047740 100644
--- a/lib/Sbuild/Conf.pm
+++ b/lib/Sbuild/Conf.pm
@@ -602,7 +602,9 @@ sub read_config {
 
     $self->set('MAILTO',
 	       $self->get('MAILTO_HASH')->{$self->get('DISTRIBUTION')})
-	if $self->get('MAILTO_HASH')->{$self->get('DISTRIBUTION')};
+	if defined($self->get('DISTRIBUTION')) &&
+	   $self->get('DISTRIBUTION') &&
+	   $self->get('MAILTO_HASH')->{$self->get('DISTRIBUTION')};
 
     $self->set('SIGNING_OPTIONS',
 	       "-m".$self->get('MAINTAINER_NAME')."")
diff --git a/lib/Sbuild/ConfBase.pm b/lib/Sbuild/ConfBase.pm
index 9cc318a..a8a604f 100644
--- a/lib/Sbuild/ConfBase.pm
+++ b/lib/Sbuild/ConfBase.pm
@@ -81,7 +81,6 @@ sub init_allowed_keys {
 
     my %common_keys = (
 	'DISTRIBUTION'				=> {
-	    DEFAULT => 'unstable',
 	    SET => sub {
 		my $self = shift;
 		my $entry = shift;

-- 
  .''`.  Roger Leigh
 : :' :  Debian GNU/Linux             http://people.debian.org/~rleigh/
 `. `'   Printing on GNU/Linux?       http://gutenprint.sourceforge.net/
   `-    GPG Public Key: 0x25BFB848   Please GPG sign your mail.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending, fixed-upstream, and patch. Request was from Roger Leigh <rleigh@codelibre.net> to control@bugs.debian.org. (Sun, 13 Dec 2009 20:39:06 GMT) Full text and rfc822 format available.

Reply sent to Roger Leigh <rleigh@debian.org>:
You have taken responsibility. (Tue, 23 Feb 2010 23:24:27 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Tue, 23 Feb 2010 23:24:27 GMT) Full text and rfc822 format available.

Message #27 received at 559659-close@bugs.debian.org (full text, mbox):

From: Roger Leigh <rleigh@debian.org>
To: 559659-close@bugs.debian.org
Subject: Bug#559659: fixed in sbuild 0.60.0-1
Date: Tue, 23 Feb 2010 23:19:31 +0000
Source: sbuild
Source-Version: 0.60.0-1

We believe that the bug you reported is fixed in the latest version of
sbuild, which is due to be installed in the Debian FTP archive:

buildd_0.60.0-1_all.deb
  to main/s/sbuild/buildd_0.60.0-1_all.deb
libsbuild-perl_0.60.0-1_all.deb
  to main/s/sbuild/libsbuild-perl_0.60.0-1_all.deb
sbuild_0.60.0-1.diff.gz
  to main/s/sbuild/sbuild_0.60.0-1.diff.gz
sbuild_0.60.0-1.dsc
  to main/s/sbuild/sbuild_0.60.0-1.dsc
sbuild_0.60.0-1_all.deb
  to main/s/sbuild/sbuild_0.60.0-1_all.deb
sbuild_0.60.0.orig.tar.gz
  to main/s/sbuild/sbuild_0.60.0.orig.tar.gz
wanna-build_0.60.0-1_all.deb
  to main/s/sbuild/wanna-build_0.60.0-1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 559659@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Roger Leigh <rleigh@debian.org> (supplier of updated sbuild package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Tue, 23 Feb 2010 22:24:52 +0000
Source: sbuild
Binary: libsbuild-perl sbuild wanna-build buildd
Architecture: source all
Version: 0.60.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian buildd-tools Developers <buildd-tools-devel@lists.alioth.debian.org>
Changed-By: Roger Leigh <rleigh@debian.org>
Description: 
 buildd     - Daemon for automatically building Debian binary packages from Deb
 libsbuild-perl - Tool for building Debian binary packages from Debian sources
 sbuild     - Tool for building Debian binary packages from Debian sources
 wanna-build - Database to track building of Debian binary packages from Debian
Closes: 521096 535911 538083 538085 546624 546647 546673 551310 551917 553301 553364 559607 559659 561936 564528 566315 566320 566321 566398 566722 567646
Changes: 
 sbuild (0.60.0-1) unstable; urgency=low
 .
   * debian/control:
     - Upgrade to Standards-Version 3.8.4.
     - Use ${misc:Depends} as required by debhelper.
   * sbuild:
     - Only run "schroot --info" once on startup, to speed up the startup
       time when many chroots exist (Closes: #546624).  Thanks to
       Nelson Elhage for finding this issue and suggesting a suitable
       approach for fixing it.
     - Don't append binNMU or extra version to version number for use
       in the DSC filename (Closes: #546647).  Thanks to Nelson Elhage
       for finding this issue.
     - Distinguish between failed/attempted builds (Closes: #538083).
     - Build directory cleaned under all failure conditions
       (Closes: #538085).
     - Flush stdout explicitly in logger to avoid "choppy" output when
       monitoring interactively.  Autoflushing stdout appears to be
       broken in Perl 5.10 so flush explicitly in addition to
       enabling autoflush.  Thanks to Ryan Niebur for spotting this.
     - Print a list of all installed packages and versions, in addition
       to toolchain packages (Closes: #553301).  Thanks to Felipe
       Sateler for this suggestion.
     - Don't default distribution to unstable (Closes: #559659).
       Defaulting to unstable can result in unintentional uploads of
       packages targetted at other distributions, such as experimental,
       which can potentially cause serious breakage.  As a result, it is
       safer to require manually specifying the distribution, or
       explicitly setting it in the configuration file.
     - Set the man-db man-db/auto-update parameter to false to disable
       unnecessary work in a build environment.
     - Don't give back packages failing the arch check (Closes: #561936).
       Thanks to Philipp Kern for reporting this.
     - Add command-line and configuration options to enable running
       apt-get clean, upgrade and dist-upgrade prior to building.  These
       complement the existing option to update the chroot, which is now
       also fixed (Closes: #521096).
     - Add $build_source variable to sbuild.conf to complement the
       --source command-line options (Closes: #564528).  Thanks to
       David Bremner for this suggestion.
     - Allow setting of $build_dir in sbuild.conf (Closes: #535911).
       Thanks to Andres Mejia for this patch.
     - Add $check_space option to allow free space checking to be
       disabled (Closes: #551917).  Thanks to Bruno Kleinert for this
       suggestion.
     - --apt-update both updates and upgrades the chroot
       (Closes: #521096).  Thanks to Gustavo Noronha Silva for this
       patch.  Note the original bug report 'get_apt_command' error
       was fixed on the 17th March 2009.
     - Allow the use of -C as well as --check-depends-algorithm as
       documented (Closes: #546673).  Thanks to Nelson Elhage for this
       patch.
   * Add sbuild-clean script (Closes: #551310).  Thanks to Andres Mejia
     for this patch.
   * sbuild-createchroot:  Compute an absolute path for the chroot
     location.  Thanks to Cyril Brulebois for this patch.
   * wanna-build:
     - Depend on postgresql-8.4-debversion in place of
       postgresql-8.3-debversion (Closes: #559607).  Thanks to Martin Pitt
       for reporting this.
     - wanna-build now reads its system configuration from the correct
       location (/etc/buildd/wanna-build.conf, not
       /etc/wanna-build/wanna-build.conf).
     - Remove extra parenthesis from wanna-build-merge-packages
       (Closes: #553364).  Thanks to Felipe Sateler for this patch.
   * Remove absent -t option for --top from sbuild-stats.1
     (Closes: #566320).  Thanks to Kurt Roeckx.
   * buildd:
     - Don't bind-mount /home into the schroot. (Closes: #566315)
     - Extract architecture for .changes filename from the .changes file
       instead of just using the system arch. (Closes: #566398)
     - Fix NO_WARN_PATTERN default to not warn about sbuilds build/current-*
       symlinks. (Closes: #566722)
     - Do all w-b interaction, leave nothing of it to sbuild. (Closes: #567646,
       #566321)
Checksums-Sha1: 
 58be487b1ae0fc36ff469e136417057ac537de97 1265 sbuild_0.60.0-1.dsc
 5b03570d810cd341763cd9ffc368850fc703e0b5 447809 sbuild_0.60.0.orig.tar.gz
 4af43bdf18bc9c87792a16721967369027b0948c 20 sbuild_0.60.0-1.diff.gz
 b13277b1a735be7427c626f138408fdbeb4e4dce 206998 libsbuild-perl_0.60.0-1_all.deb
 773f170e04c7cb6b3e626425da9584810cb237e2 204870 sbuild_0.60.0-1_all.deb
 9c3191538d797e3f6ff435a6e6aac301097a50cb 209198 wanna-build_0.60.0-1_all.deb
 d3f9ca085305e3ca6902edb46d90213023f1d600 199732 buildd_0.60.0-1_all.deb
Checksums-Sha256: 
 e42670f0e54524a731ca5cb91c7853b90c6e5873643a47fb460002e62ea9678f 1265 sbuild_0.60.0-1.dsc
 5320a7e7ae1406aa34b73e6f1331ba004e7d237ac37164821347bab78dfba941 447809 sbuild_0.60.0.orig.tar.gz
 247a9fdf375056c8a046a61a527c86a19e70f6a69dea14af992a80cb8c1db4d0 20 sbuild_0.60.0-1.diff.gz
 a4f01932c6510ee3661aa43ff7cf1d39f87b1f43a31ce64abda602ee1a09f139 206998 libsbuild-perl_0.60.0-1_all.deb
 1d4e5f318b696572a220f708913a028f34e4884f368cffc053ef152372869e74 204870 sbuild_0.60.0-1_all.deb
 5b94e314b4019f37ac46beb1dcc314432beade20734538066eb69851a0b2788e 209198 wanna-build_0.60.0-1_all.deb
 bc055fafe525109c4e0521fac4d9a355cdb8c82500abc1e6f703cf70217a1192 199732 buildd_0.60.0-1_all.deb
Files: 
 8e53e0d7645bbcbb590c2245c77b2749 1265 devel extra sbuild_0.60.0-1.dsc
 ba8f2a6c2c3c251a79d701d484441d25 447809 devel extra sbuild_0.60.0.orig.tar.gz
 0af815f64b0e65887755522873924584 20 devel extra sbuild_0.60.0-1.diff.gz
 ff682a97f3e6ce79b98919f4132807e0 206998 perl extra libsbuild-perl_0.60.0-1_all.deb
 25aac38154293b415759d3d3662b039d 204870 devel extra sbuild_0.60.0-1_all.deb
 d46b36cfbe0a1685556107ce8cd1add3 209198 devel extra wanna-build_0.60.0-1_all.deb
 e84c4c0addc38856fe42e9273cf99d29 199732 devel extra buildd_0.60.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEAREDAAYFAkuEWlcACgkQVcFcaSW/uEiNkgCgyPyc5anznU8/nDv7dPs1cLyg
3x0AnRVJptpsJm3CB++3mun8KnvsfmZy
=dq7k
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Apr 2010 07:35:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 17:16:00 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.